Bug 248498 - downloaded packages are not logged after some HTTP error in yum
downloaded packages are not logged after some HTTP error in yum
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-17 01:26 EDT by Joachim Backes
Modified: 2014-01-21 17:59 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-14 10:20:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2007-07-17 01:26:57 EDT
Description of problem:
Starting updating with "yum -y update". Packages to be updated are logged. Then
some HTTP error occurs with some download server. But now, the downloading
process is _not logged_.

Version-Release number of selected component (if applicable):
yum-3.2.1-1.fc7


How reproducible:
sometimes.

Steps to Reproduce:
1.yum -y update
2.

Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package kbd.i386 0:1.12-22.fc7 set to be updated
---> Package evolution-data-server.i386 0:1.10.3-1.fc7 set to be updated
---> Package evolution.i386 0:2.10.3-1.fc7 set to be updated
---> Package nspr.i386 0:4.6.7-0.7.1.fc7 set to be updated
---> Package system-config-users.noarch 0:1.2.60-1.fc7 set to be updated
---> Package pygtk2.i386 0:2.10.6-1.fc7 set to be updated
---> Package libdaemon.i386 0:0.11-2.fc7 set to be updated
---> Package pygtk2-libglade.i386 0:2.10.6-1.fc7 set to be updated
---> Package sane-backends-libs.i386 0:1.0.18-8.fc7 set to be updated
---> Package gtkhtml3.i386 0:3.14.3-1.fc7 set to be updated
---> Package sane-backends.i386 0:1.0.18-8.fc7 set to be updated

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 evolution               i386       2.10.3-1.fc7     updates            37 M
 evolution-data-server   i386       1.10.3-1.fc7     updates           3.6 M
 gtkhtml3                i386       3.14.3-1.fc7     updates           920 k
 kbd                     i386       1.12-22.fc7      updates           1.0 M
 libdaemon               i386       0.11-2.fc7       updates            25 k
 nspr                    i386       4.6.7-0.7.1.fc7  updates           119 k
 pygtk2                  i386       2.10.6-1.fc7     updates           1.1 M
 pygtk2-libglade         i386       2.10.6-1.fc7     updates            18 k
 sane-backends           i386       1.0.18-8.fc7     updates           1.0 M
 sane-backends-libs      i386       1.0.18-8.fc7     updates           2.3 M
 system-config-users     noarch     1.2.60-1.fc7     updates           384 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update      11 Package(s)         
Remove       0 Package(s)         

Total download size: 47 M
Downloading Packages:
http://ftp.tu-chemnitz.de/pub/linux/fedora-enchilada/linux/updates/7/i386/gtkhtml3-3.14.3-1.fc7.i386.rpm:
[Errno 14] HTTP Error 404: Date: Tue, 17 Jul 2007 05:18:09 GMT
Server: Apache/2.0.52 (Red Hat)
Content-Length: 407
Content-Type: text/html; charset=iso-8859-1

<============================ downloaded packages should be logged here!!!!!!

Trying other mirror.
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

3.
  
Actual results:
See 2.

Expected results:
Downloaded packages are logged.

Additional info: The updating itself runs perfectly
Comment 1 Jeremy Katz 2007-09-13 14:38:24 EDT
Does this still happen with the current version of yum in -updates?
Comment 2 Joachim Backes 2007-09-14 06:42:56 EDT
No, it doesn't.

Note You need to log in before you can comment on or make changes to this bug.